import { PayloadAction } from '@reduxjs/toolkit';
import 'immer';
import type { RootState } from '../store';
export declare type Config = {
    intermittent: number;
};
export declare const configSlice: import("@reduxjs/toolkit").Slice<{
    intermittent: number;
}, {
    updateIntermittent: (state: import("immer/dist/internal").WritableDraft<{
        intermittent: number;
    }>, { payload }: PayloadAction<number>) => void;
    init: (state: import("immer/dist/internal").WritableDraft<{
        intermittent: number;
    }>, { payload }: PayloadAction<Config>) => void;
}, "config">;
export declare const configActions: import("@reduxjs/toolkit").CaseReducerActions<{
    updateIntermittent: (state: import("immer/dist/internal").WritableDraft<{
        intermittent: number;
    }>, { payload }: PayloadAction<number>) => void;
    init: (state: import("immer/dist/internal").WritableDraft<{
        intermittent: number;
    }>, { payload }: PayloadAction<Config>) => void;
}>;
export declare const selectIntermittent: (state: RootState) => number;
export declare const configReducer: import("@reduxjs/toolkit").Reducer<{
    intermittent: number;
}, import("@reduxjs/toolkit").AnyAction>;
//# sourceMappingURL=configSlice.d.ts.map